Bug 102348 - Metacity window handling leaves users in unrecoverable situations
Metacity window handling leaves users in unrecoverable situations
Status: CLOSED UPSTREAM
Product: Red Hat Linux Beta
Classification: Retired
Component: metacity (Show other bugs)
beta1
All Linux
high Severity high
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-14 04:23 EDT by Alan Cox
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 17:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2003-08-14 04:23:41 EDT
Description of problem:

Metacity still can't handle large windows

How reproducible:
100%

Steps to Reproduce:
1. On a large monitor start evolution set it to be big (no maximised)
2. Save session and exit
3. Change X display size
4. Restart evolution on new smaller display
    
Actual results:

Window extends below bottom of screen and cannot be resized

Expected results:

Metacity refuses window size change request and clips it to
fit on desktop with panel space.

Additional info:

Every other window manager gets this right. Metacity may want to stop users
putting windows larger than screen size but if so it needs to properly handle
such windows itself. ICCCM specifically permits window managers to have the last
say in window sizing and testing apps with twm shows they handle it properly.
Comment 1 Havoc Pennington 2003-08-14 10:05:04 EDT
I know this is a duplicate bug ;-)
Comment 2 Havoc Pennington 2003-10-03 17:27:22 EDT
Moved to gnome.org as http://bugzilla.gnome.org/show_bug.cgi?id=123800
where it will be seen more often.

Note You need to log in before you can comment on or make changes to this bug.